---
rank: 19
title: Star Wars Cards!
date: 2016-03-10T21:48:56.812Z
layout: post
path: /star-wars-cards/
next: /feeling-the-bern/
previous: /my-2016-mantras/
tags:
  - fun
  - data
  - star-wars
---

![Luke and Vader](https://static.sinap.ps/blog/2016/03_mar/star_wars/cards.jpg)

It might surprise you to hear that I was obsessed with Star Wars when I was young. But it'll probably surprise you more that in 2015 I delved into the world of Ebay collectibles and rebuilt my collection of [*Star Wars: Customizable Card Game (SW:CCG)*](https://en.wikipedia.org/wiki/Star_Wars_Customizable_Card_Game) cards. Especially since the game hasn't been in print since 2001!

<div class='fold'></div>

## Early fanaticism

It started when I was young. My parents showed me the original trilogy recorded from TV on VHS tapes. I remember excitedly fast-forwarding through the commercials, with static making it hard to tell when to stop. I ate it up! The battles, spaceships, and lightsabers. The fate of the galaxy at stake! Mystical forces! So awesome!

From those simple beginnings I moved to the [book versions of the movies](http://starwars.wikia.com/wiki/File:The_Star_Wars_Trilogy_1987.jpg). Then [prequel books](http://starwars.wikia.com/wiki/The_Lando_Calrissian_Adventures). Then [sequel books](http://starwars.wikia.com/wiki/The_Thrawn_Trilogy). A little dabbling with [video games](http://starwars.wikia.com/wiki/X-Wing_series_(computer_games)). Then the[ special edition movies](http://starwars.wikia.com/wiki/The_Star_Wars_Trilogy_Special_Edition): my first time seeing anything Star Wars on a movie theater screen! Later, an enthusiastic group outing to watch [Episode 1](http://starwars.wikia.com/wiki/Star_Wars:_Episode_I_The_Phantom_Menace). Yes, I was still excited about it walking out of the theater. Even now I have to admit that the lightsaber choreography in Episode 1 was pretty great.

But nothing quite captured [my analytical imagination](/introversion/#early-signs) like card games with infinite deck-building options. [*Magic: The Gathering*](http://magic.wizards.com/) was the first of this intense kind of game to cross my path. In late 1995, I had a couple friends with the cards and I was very intrigued. With limited funds and transportation options, I appealed to my parents for help in starting a collection. I was denied.

Why? Because *Magic* was too focused on demons, death and destruction: it seemed to be a combination of [spiritual](https://paulwilkinson.wordpress.com/should-christians-play-magic-the-gathering/) and content-based objections. Happily this difference of opinion never became a real conflict because I was soon distracted...

![Promotional Poster, Premiere 1995](https://static.sinap.ps/blog/2016/03_mar/star_wars/poster_premiere.jpg)

## The rise of SW:CCG

In December 1995, [Decipher](https://en.wikipedia.org/wiki/Decipher,_Inc.) released the first *Star Wars: Customizable Card Game* set, based on first first movie of the original trilogy. I didn't hear about it directly - I discovered the cards in a friend's hands after our holiday break in January 1996. He had great parents. They bought him some packs for Christmas.

My group of friends and I jumped in with him, and we all started building our decks. One deck of exactly 60 cards for the light side, and another for the dark side. Unlike *Magic*, games were always good against evil, and it was hard to include more than two people in one game. No matter; I had a lot of fun thinking through strategies, building decks, and playing games!

![Promotional Poster, Dagobah 1997](https://static.sinap.ps/blog/2016/03_mar/star_wars/poster_dagobah.jpg)

## The fall of SW:CCG

It finally dawned on me, after the fourth set was released in April 1997, that I couldn't stay on the treadmill. A lot of my friends had started to jump off already, but I needed hard proof that my hobby wasn't good for me. The fourth set's powerful cards and smaller pack sizes made it clear that each new set would overshadow cards from previous sets. And if I was going to continue to play (and have a chance at winning), I would be squeezed for money I didn't really have.

Thus, I sold all my cards. It was a sad but necessary day. Happily, I was able to channel that analytical energy into programming (with Pascal, then) and proto-blogging (with hand-edited HTML via [notepad.exe](https://en.wikipedia.org/wiki/Notepad_(software))). The beginning of a lifelong obsession with software!

In college, I bought some *Magic* cards and played them with friends, calling the effort *Socialist™ Magic®*. I took my lesson about the arms-race of commercial collectible card games to heart, building a shared set of cards my friends and I could play from. We had lots of fun, occasionally heading to the local comics/games shop to buy new cards we could all use. But I'd still look over to the new Star Wars cards sets wistfully, knowing that I didn't have the money to jump back in.

In 2001, unbeknownst to me, Decipher lost their contract to produce *Star Wars: Customizable Card Game*. During that final year, they produced a number of last-minute, inadequately-tested sets, some based on the new prequel trilogy. And then the game was officially dead.

![Playing Betrayal at House on the Hill](https://static.sinap.ps/blog/2016/03_mar/star_wars/bahoth.jpg)

## Boardgaming, Hobbies, Nostalgia

Cut to early 2015. After many game nights, I had realized that I really enjoyed serious board games, like [*Betrayal at House on the Hill*](https://boardgamegeek.com/boardgame/10547/betrayal-house-hill) and [*Scoville*](https://boardgamegeek.com/boardgame/145659/scoville). All the little details, the strategies, the competition or cooperation. And the novelty: no game was ever the same, due to randomness. *Betrayal* has 50 different scenarios which can happen after its mid-game 'haunting.'

At the same time, I was reading [*The more beautiful world our hearts know is possible*](/four-books-for-greater-understanding/#the-more-beautiful-world-our-hearts-know-is-possible-2013). It brought up the point that you don't need an underlying principle for everything you do. It was a new idea for me, because I'm a pretty driven guy. Most things I do can be traced to some sort of self-improvement, or desire for excellence: fitness, nutrition, programming, non-fiction books, reading about various causes, etc. I was inspired to do something not connected to any principle.

And it just so happened I was in the middle of an ancient data cleanup. Old file formats, like [*Ami Pro*](https://en.wikipedia.org/wiki/Am%C3%AD) school assignments from Elementary School and Junior high. Scanned, high-resolution images from High School in [*PaintShop Pro*](https://en.wikipedia.org/wiki/PaintShop_Pro) format. And then I found the *SW:CCG* card lists and deck ideas, a few saved images of the cards.

It all came rushing back! A very enjoyable, pointless hobby that had an untimely end.

To the internet!

![Large package from Category One Games](https://static.sinap.ps/blog/2016/03_mar/star_wars/cog_package.jpg)

## Out-of-print collectibles

I didn't expect to find much. Surprisingly, I did find a [reasonably large group of people playing with printed overlays on top of their old cards](http://www.starwarsccg.org/). But you had to have the cards. So I continued my search: old and new card-specific [shops](http://www.ccgobsession.com/product_set.php?pi=8), [databases](http://swccg.polarhaven.net/), and [articles](http://kotaku.com/the-best-card-game-i-ever-played-died-13-years-ago-1626118464).

After getting an initial feel for the space, I decided that my best option for jumping in was a large set of random cards. [*Category One Games*](http://www.categoryonegames.com/) does brisk business in single cards and comprehensive sets, but [their large grab bags](http://www.categoryonegames.com/products/search?q=star+wars+grab+bag) seemed to be a good deal. The per-card price couldn't be beat. In short order I had about 7,500 cards on their way to me. A heavy box.

But I was in the zone, and I couldn't stop. I dipped my toe into the dangerous waters of Ebay collectibles, and [found lots and lots of cards for sale](http://www.ebay.com/sch/i.html?_nkw=star+wars+ccg). It wasn't just single cards. It was total randomness, lots of unknown provenance. And it was also complete, mint or near-mint sets. Basically, what I dreamed of having when I was in High School: the full, pristine, binder, with no empty spaces.

It became clear, as I searched, that all of the cards I was interested in were actually available. I was surprised! Cards spanning the entire original trilogy: A New Hope to Death Star II. But I didn't know if it would last. I sprang into action.

In the span of 5 days, I had done it. Careful research and comparison, heart-poundingly last-minute auctions and comparatively calm Buy It Now clicks. Sometimes the loss of an auction was good - the price had gone above a comparable Buy It Now price.

Now it was time to sit back and wait. One of every card produced between 1995 and early 2001 was on its way to me in the form of many amateur shipments.

![Alphabetizing that cards](https://static.sinap.ps/blog/2016/03_mar/star_wars/alphabetizing.jpg)

## Geeking Out

As the shipments arrived, I categorized, sorted, and inventoried. It came out to just over 11,000 cards total. So many hours of staring at the cards. Such meditative. Very Jedi. Exactly what I was looking for!

This wasn't 1995, so my inventory is in the form of a spreadsheet, seeded with [comprehensive card data](http://www.starwarsccg.org/forums/viewtopic.php?f=188&t=54610) (rarity, stats, text, etc.). So much easier than simple text files with the card names! Just the ability to re-sort on various traits saved me a huge amount of time - every complete set came in a different sort order.

![Finally, organized binders!](https://static.sinap.ps/blog/2016/03_mar/star_wars/binders.jpg)

My long card boxes started coming together, and so did my binders. Four total binders, two light and two dark. I even made [custom separators](https://static.sinap.ps/blog/2016/03_mar/star_wars/SectionSeparators-Color.pdf) introducing each set of cards, with images of the original packs, the date released, and other random info. I decided on a straight alphabetical sort order. Easier to find a particular card, even if it might be harder to find all weapons in a given set.

And of course that got me thinking. I do want to find cards all sorts of ways. The binders are nice to page through, yes. And yet, I have a complete inventory in my spreadsheet. It was time to write some code. I [downloaded images for all the cards](http://www.holotable.com/downloads.php), associated them with my spreadsheet, exported it to CSV, then started writing little tools:

* Show a random card, all stats and the image.
* Search for cards by any trait.
* Generate a pack, given an original set, based on the original probabilities.
* Given a deck, generate key stats.

And then it got serious. I realized that I wanted to know, if I was looking at a card that said "All Rogue Squadron pilots," I wanted to see those cards. Without doing a bunch of manual research. And so, I started building a tool for card exploration and deck building. It's kinda there, but it's been on hold for a while. I intend to get it useable in the next few months.

## Playing

No, I didn't just buy this stuff to have it, organize it, geek out about it. I want to play too! I've had to jump-start my own little community, roping friends in, starting from square one. And I'm always looking for more! It's a satisfyingly complex game, so I have some basic trainer decks ready at all times.

Let me know if you're interested!

---

Resources:

* My binder separator pages:
  * [Color, just the major releases (includes images of packaging)](https://static.sinap.ps/blog/2016/03_mar/star_wars/SectionSeparators-Color.pdf)
  * [Black and white, smaller releases](https://static.sinap.ps/blog/2016/03_mar/star_wars/SectionSeparators.pdf)
* Getting started: https://boardgamegeek.com/thread/866727/star-wars-ccg-how-get-started
* Online card database: http://swccg.polarhaven.net/
* Other people talking about it:
  * "The Best Card Game I Ever Played..." http://kotaku.com/the-best-card-game-i-ever-played-died-13-years-ago-1626118464
  * "fun and addicting to your average nerd" http://geekti.me/wp/2013/01/card-wars-star-wars-ccg/
  * "one of my favorite games of all time" http://www.boardgamereviewsbyjosh.com/2012/07/star-wars-customizable-card-game-review.html?m=1
  * "game makers have learned that simplicity is better for a successful game, and so the Star Wars CCG is a product of a bygone era" http://overlordmusings.blogspot.com/2013/08/star-wars-ccg.html
  * A collection of SW:CCG memories http://theforce.net/ccg/flashback/memories.asp
* Details about releases:
  * http://en.wikipedia.org/wiki/Star_Wars_Customizable_Card_Game
  * http://starwars.wikia.com/wiki/Category:Star_Wars_Customizable_Card_Game
  * https://boardgamegeek.com/article/12513722#12513722
  * http://www.categoryonegames.com/catalog/star_wars_ccg/309
* Comprehensive collector's guide: http://www.starwarsccg.org/wp/wp-content/uploads/Collecting-Encyclopedia-2.pdf
* Shops:
  * http://www.categoryonegames.com/catalog/star_wars_ccg/309
  * https://ccgcastle.com/product/star-wars-ccg
  * http://www.ccg-singles.com/index.php?main_page=index&cPath=36
  * http://www.ccgobsession.com/starwars.php
  * http://peristilcards.com/product-category/star-wars/
* Categories on Ebay:
  * "Decipher (CCG) Star Wars Trading Cards" http://www.ebay.com/sch/Decipher-CCG-/84619/i.html
  * "Other Star Wars Card Sets" http://www.ebay.com/sch/Other-/99985/i.html
  * Search for 'star wars ccg'
